%global commit 5959dba08238149f591c4a706e91b05cd7c14ace
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           minimal-json
Version:        0.9.4
Release:        2%{?dist}
Summary:        A Minimal JSON Parser and Writer

License:        MIT
URL:            https://github.com/ralfstx/%{name}
Source0:        https://github.com/ralfstx/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildArch:      noarch

# https://lists.fedoraproject.org/pipermail/java-devel/2015-September/005687.html
# <insert upstream PR here>
Patch0:         0001-Fix-potentially-null-static-fields.patch

BuildRequires: maven-local
BuildRequires: mvn(org.mockito:mockito-core)

%description
A fast and minimal JSON parser and writer for Java.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -qn %{name}-%{commit}

# Javadoc error
sed -i -e  "s/@returns/@return/g" \
    com.eclipsesource.json/src/main/java/com/eclipsesource/json/JsonObject.java

%pom_disable_module com.eclipsesource.json.performancetest
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin com.eclipsesource.json

%patch0 -p1 -b .orig

%build
%mvn_build -s -- -f com.eclipsesource.json

%install
%mvn_install -J com.eclipsesource.json/target/apidocs

%files -f .mfiles-minimal-json
%dir /usr/share/java/minimal-json
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon Sep 28 2015 Gerard Ryan <galileo@fedoraproject.org> - 0.9.4-2
- Fix potentially null static fields

* Tue Sep 15 2015 Gerard Ryan <galileo@fedoraproject.org> - 0.9.4-1
- Update to latest upstream release 0.9.4
- Update license field to MIT

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 27 2015 Gerard Ryan <galileo@fedoraproject.org> - 0.9.1-3
- Fix javadoc error & make javadoc install explicit for f21

* Tue Nov 25 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.9.1-2
- Make sure directory is owned by this package

* Sun Oct 26 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.9.1-1
- Initial package.
